﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;

namespace PeldaSzolgaltatas
{
    [ServiceContract(Namespace="http://sajatoldal.com")]
    public interface IKockadobás
    {
        [OperationContract]
        int DobottSzám();

        void SajátMetódus(string név); //ezt a metódust nem látja majd a kliens
    }

    public class Szolgáltatásosztály: IKockadobás // megvalósítjuk az interfészt
    {
        public Szolgáltatásosztály()
        {
            Console.WriteLine("Ez a a kockadobás szolgáltatás konstruktora.");
        }

        public int DobottSzám()
        {
            Random r = new Random();
            return r.Next(1, 7); //Visszaad egy 1 és 6 közötti egészet
        }
        public void SajátMetódus(string név)
        {
            Console.WriteLine("Helló " + név + "!");
        }
    }
}
