﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;
using PeldaSzolgaltatas;

namespace SzolgaltatasHoszt
{
   
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("Konzol alapú WCF hosztoló alkalmazás\n");

            using (ServiceHost sh = new ServiceHost(typeof(Szolgáltatásosztály)))
            {
                sh.Open(); //Megnyitja a hosztot és figyelni kezdi a bejövő üzeneteket.
                Console.WriteLine("***Információk a hosztoló folyamatról***");
                Console.WriteLine("Neve: {0}", sh.Description.ConfigurationName);
                Console.WriteLine("A szolgáltatás állapota: {0}", sh.State);
                Console.WriteLine("A szolgáltatásvégpont címe: {0}", sh.Description.Endpoints[0].Address);
                Console.WriteLine("A szolgáltatásvégpont kötése: {0}", sh.Description.Endpoints[0].Binding);
                Console.WriteLine("A szolgáltatásvégpont neve: {0}", sh.Description.Endpoints[0].Name);

               
                Console.WriteLine("\nA szolgáltatás működőképes.");
                
                Console.WriteLine("Nyomjon ENTER-t a kilépéshez.");
                Console.ReadLine();
                //ENTER leütéséig futtatja a szolgáltatást.
            }
        }
    }
}
